/****************************************************************************
 * Rexx-Skript fr eine Autosave-Funktion				    *
 * Es werden alle geladenden Dateien unter ihrem Namen mit der Endung "_X"  *
 * und der Base-Nummer speichert					    *
 *									    *
 * 04.01.94, Jrg Richter						    *
 ****************************************************************************/

OPTIONS RESULTS 	   /* Rckgabewerte sollen in RC gespeichert werden */

DO FOREVER
  ADDRESS COMMAND			      /* Auf Kommando-Port schalten */
  'Wait min=20'                                   /* Z.B. 20 Minuten warten */

  'WaitForPort DATABASE'                                /* Luft DataBase ? */
  IF RC ~= 0 THEN Break 		  /* Wenn nein, Rexx-Skript beenden */

  ADDRESS DATABASE			      /* Auf DataBase-Port schalten */

  CurrentBase			    /* Nummer der aktuellen Datei (Base) in */
  oldbase = RC			    /* der Variablen 'oldbase' speichern    */
  i = 1
  DO WHILE i < 6			 /* Alle Bases (1 bis 5) durchgehen */
    Base i					   /* Aktuelle Datei setzen */
    filename = result		     /* Dateiname der aktuellen Datei holen */
    pos = LastPos('.db',filename)               /* Endung ".db" vorhanden ? */
    IF pos > 0 THEN						/* Wenn ja: */
      filename = DelStr(filename,pos)           /* Endung ".db" abschneiden */
    Save filename || "_X" || i || ".db" /* Datei als "name_Xi.db" speichern */
    i = i + 1
  END
  Base oldbase				 /* Zurck zur ursprnglichen Datei */

END

