/* bertragen von Daten der aktuellen Datei in die Datei 'Auftrge'       */
/* Dieses ARexx-Script zeigt, wie Daten einer Maske in eine andere        */
/* Maske kopiert werden.                                                  */

Options results

ADDRESS DataBase                 /* auf Adressport DataBase umschalten    */

GetData $F1                      /* Inhalt aus Feld 1 lesen               */
kdn = RESULT                     /* und in der Variablen kdn speichern    */
GetData $F4                      /* Inhalt aus Feld 2 lesen               */
nam = RESULT                     /* und in der Variablen nam speichern    */

FindBase 'auftrge.db'           /* gibt die Base-Nr. in 'RC' zurck, in  */
newbase = RC                     /* der die Datei geladen ist.            */

IF newbase > 0 THEN              /* Ist die Datei vorhanden, dann         */
  Base newbase                   /* auf die neue Base umschalten          */
ELSE                             /* wenn nicht,                           */
  DO                             /*                                       */
  Base 5                         /* auf Base 5 umschalten                 */
  OPEN "DBFaktura/auftrge.db"   /* Datei auftrge.db laden               */
END

RightTotal                       /* Ans Ende der Datei springen           */
Add                              /* neuen Datensatz erzeugen              */
PutData $F1 kdn                  /* den Inhalt kdn in Feld Nr. 1 kopieren */
PutData $F2 nam                  /* den Inhalt nam in Feld Nr. 2 kopieren */

ADDRESS                          /* auf den vorherigen Adressport schalten*/

