/* Mit diesem ARexx-Skript werden Daten aus der Kundenkartei gelesen          */
/* und in die Datei 'Rechung' bertragen.                                     */

Options results

ADDRESS DataBase

CurrentBase                          /* aktuelle Base-Nr. merken              */
oldbase = RC

/* Wenn hier nun                                                              */
/* Display OFF                                                                */
/* folgt, wird die nachfolgende Bildschirmaktualisierung ausgeschaltet.       */
/* Das Wechseln auf eine andere Base ist dann z.B. nicht mehr sichtbar        */
/* Am Ende mu dann noch 'Display On' und 'Show' folgen um den Bildschirm     */
/* wieder zu aktualiesieren.                                                  */

FindBase 'kundenkartei.db'           /* gibt die Base-Nr. zurck, in der die  */
newbase = RC                         /* Datei geladen ist.                    */

IF newbase > 0 THEN                  /* Ist die Datei vorhanden, dann         */
  Base newbase                       /* auf die neue Base umschalten          */
ELSE                                 /* wenn nicht,                           */
  DO                                 /* dann                                  */
  Base 5                             /* auf Base 5 umschalten                 */
  OPEN "DBFaktura/kundenkartei.db"   /* Datei Kundenkartei.db laden           */
END

RequestText "Kundennummer eingeben!" /* Eingaberequester ffnen               */
N1 = RESULT                          /* eingegebenen Text in RESULT speichern */
klick1 = RC                          /* In RC wird das selektierte Gadget     */
                                     /* gespeichert.                          */
                                     /* 0 falls OK, 5 falls Abbruch           */

IF Klick1 = 0 THEN
  DO
  LeftTotal                          /* an den Anfang der Datei springen      */
  Search N1 CASE                     /* eingegeben Suchbegriff suchen         */
END

GetData $F1                          /* Inhalt aus Feld 1 lesen               */
Anr = RESULT                         /* und in der Variablen 'Anr' speichern  */
GetData $F2
Nm1 = RESULT
GetData $F3
Nm2 = RESULT

Base oldbase                         /* auf vorherige Base zurckschalten     */

RightTotal                           /* ans Ende der Datei springen           */
ADD                                  /* neuen Datensatz erzeugen              */
PutData $F1 Anr                      /* Inhalt aus Variablen 'Anr' in Feld 1 bertragen */
PutData $F2 Nm1
PutData $F3 Nm2

/* Wurde zuvor 'Display Off' verwendet, mu nun               */
/* Display On                                                 */
/* Show                                                       */
/* folgen, um die Bildschirmausgabe wieder zu aktualiesieren. */

ADDRESS


